hibba您好,
看看这是否适合你。
就像标准dimcontinue一样使用它:
- ;; DimAlignedContinue ;;
- (defun c:DAC ( / *error* doc point1 point2 )
- (defun *error* (msg)
- (if (and msg
- (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*"))
- )
- (princ (strcat "\nError: " msg))
- )
- (if doc
- (vla-endundomark doc)
- )
- (princ)
- ) ;_ end of defun
- (setq doc (vla-get-activedocument (vlax-get-acad-object)))
- (vla-startundomark doc)
-
- (setq point1 (getpoint "\nSpecify first extension line origin:"))
- (while
- (setq point2 (getpoint "\nSpecify second extension line origin:"))
- (command "_.dimaligned" point1 point2 pause)
- (setq point1 point2)
- ) ;_ end of while
- (vla-endundomark doc)
- (princ)
- ) ;_ end of defun
- (vl-load-com)
|